UNIT uZaehler;
(* ******************************************************************** *)
(* K L A S S E : TZaehler                                               *)
(* -------------------------------------------------------------------- *)
(* Version     : 3.0                                                    *)
(* Autor       : S. Spolwig, OSZ-Handel I,  10997 Berlin                *)
(* Aufgabe     : stellt ein Objekt fuer ganze Zahlen zur Verfuegung.    *)
(* Compiler    : Turbo Pascal 7.0 / MSDOS  / DELPHI                     *)
(* ******************************************************************** *)

INTERFACE
(* ========================== Export ================================== *)
USES uSpielZahl;

type
   TZaehler = object (TSpielzahl)
                constructor Init (eineXPos, eineYPos : integer);
                procedure SetNull ;   virtual;
                procedure Erhoehen;   virtual;
              end;


IMPLEMENTATION
(* ==================================================================== *)

constructor TZaehler.Init (eineXPos, eineYPos : integer);
(* -------------------------------------------------------------------- *)
begin
  TSpielzahl.Init(eineXPos,eineYPos);
  SetNull;
end;

procedure TZaehler.SetNull;
(* -------------------------------------------------------------------- *)
begin
  Wert := 0;
end;

procedure TZaehler.Erhoehen;
(* -------------------------------------------------------------------- *)
begin
  inc(Wert);
end;

END. (* Unit *)